Index: /trunk/subversion/Makefile
===================================================================
--- /trunk/subversion/Makefile	(revision 38)
+++ /trunk/subversion/Makefile	(revision 39)
@@ -8,5 +8,6 @@
 FIGURES= \
 	workco.fig \
-	workupdate.fig
+	workupdate.fig \
+	conflict.fig
 
 IMAGES= \
Index: /trunk/subversion/conflict.fig
===================================================================
--- /trunk/subversion/conflict.fig	(revision 39)
+++ /trunk/subversion/conflict.fig	(revision 39)
@@ -0,0 +1,230 @@
+#FIG 3.2  Produced by xfig version 3.2.5-alpha5
+Landscape
+Center
+Inches
+Letter  
+100.00
+Single
+-2
+1200 2
+0 32 #9e0000
+0 33 #9e0000
+0 34 #8e8e8e
+0 35 #414141
+0 36 #8e8e8e
+0 37 #414141
+0 38 #8e8e8e
+0 39 #414141
+0 40 #8e8e8e
+0 41 #414141
+0 42 #8e8e8e
+0 43 #414141
+0 44 #8e8e8e
+0 45 #414141
+0 46 #8e8e8e
+0 47 #414141
+0 48 #8e8e8e
+0 49 #414141
+0 50 #8e8e8e
+0 51 #414141
+0 52 #8e8e8e
+0 53 #414141
+0 54 #8e8e8e
+0 55 #414141
+0 56 #8e8e8e
+0 57 #414141
+0 58 #8e8e8e
+0 59 #414141
+0 60 #8e8e8e
+0 61 #414141
+0 62 #8e8e8e
+0 63 #414141
+0 64 #8e8e8e
+0 65 #414141
+0 66 #8e8e8e
+0 67 #414141
+0 68 #c7cbc7
+0 69 #dfdbdf
+0 70 #f7f3f7
+0 71 #bec3be
+0 72 #696d69
+0 73 #bec3be
+0 74 #696d69
+0 75 #494549
+0 76 #8e8e8e
+0 77 #696d69
+0 78 #8e8e8e
+0 79 #717171
+0 80 #aeaeae
+0 81 #303030
+0 82 #969296
+0 83 #717171
+0 84 #595559
+0 85 #aeb2ae
+0 86 #bec3be
+0 87 #494549
+0 88 #696d69
+0 89 #494549
+0 90 #696d69
+0 91 #bec3be
+0 92 #696d69
+0 93 #494549
+0 94 #bec3be
+0 95 #696d69
+0 96 #bec3be
+0 97 #494549
+0 98 #8e8e8e
+0 99 #dfe3ef
+0 100 #96969e
+0 101 #d7dbd7
+0 102 #9ea2b6
+0 103 #9e0000
+0 104 #efefef
+0 105 #dfe3df
+0 106 #86aeff
+0 107 #7171ff
+0 108 #cfcfcf
+0 109 #414541
+0 110 #868286
+0 111 #bec3be
+0 112 #bec3be
+0 113 #868286
+0 114 #868286
+0 115 #bec3be
+0 116 #c7b696
+0 117 #effbff
+0 118 #dfcba6
+0 119 #414141
+0 120 #868286
+0 121 #bec3be
+0 122 #dfe3df
+0 123 #8e8e8e
+0 124 #aeaaae
+0 125 #595559
+0 126 #414141
+0 127 #868286
+0 128 #bec3be
+0 129 #868286
+0 130 #bec3be
+0 131 #dfe3df
+0 132 #8e8e8e
+0 133 #8e8e8e
+0 134 #414141
+0 135 #868286
+0 136 #bec3be
+0 137 #dfe3df
+0 138 #414141
+0 139 #868286
+0 140 #bec3be
+0 141 #dfe3df
+0 142 #868286
+0 143 #bec3be
+0 144 #dfe3df
+0 145 #c7b696
+0 146 #effbff
+0 147 #dfcba6
+0 148 #c7b696
+0 149 #effbff
+0 150 #dfcba6
+0 151 #aeaaae
+0 152 #595559
+0 153 #d7d7d7
+0 154 #8e8e8e
+0 155 #414141
+0 156 #868286
+0 157 #bec3be
+0 158 #dfe3df
+0 159 #414141
+0 160 #868286
+0 161 #bec3be
+0 162 #dfe3df
+0 163 #868286
+0 164 #bec3be
+0 165 #dfe3df
+0 166 #414141
+0 167 #868286
+0 168 #bec3be
+0 169 #414141
+0 170 #bec3be
+0 171 #dfe3df
+0 172 #414141
+0 173 #868286
+0 174 #bec3be
+0 175 #8e8e8e
+0 176 #414141
+0 177 #868286
+0 178 #bec3be
+0 179 #dfe3df
+0 180 #414141
+0 181 #868286
+0 182 #bec3be
+0 183 #dfe3df
+0 184 #bebebe
+0 185 #515151
+0 186 #e7e3e7
+0 187 #000049
+0 188 #797979
+0 189 #303430
+0 190 #414141
+0 191 #868286
+0 192 #bec3be
+0 193 #dfe3df
+6 600 300 1425 900
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 1425 900 1425 300 600 300 600 900 1425 900
+4 0 0 50 -1 0 12 0.0000 4 135 510 757 675 Rev N\001
+-6
+6 2700 300 3525 900
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 3525 900 3525 300 2700 300 2700 900 3525 900
+4 0 0 50 -1 0 12 0.0000 4 135 720 2752 675 Rev N+1\001
+-6
+6 4500 300 5325 900
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 5325 900 5325 300 4500 300 4500 900 5325 900
+4 0 0 50 -1 0 12 0.0000 4 135 720 4552 675 Rev N+2\001
+-6
+6 1125 1950 1725 2400
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 1725 2400 1725 1950 1125 1950 1125 2400 1725 2400
+4 0 0 50 -1 0 12 0.0000 4 135 180 1350 2250 W\001
+-6
+6 1875 1200 2475 1650
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 2475 1650 2475 1200 1875 1200 1875 1650 2475 1650
+4 0 0 50 -1 0 12 0.0000 4 135 180 2100 1500 W\001
+-6
+6 3825 1950 4425 2400
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 4425 2400 4425 1950 3825 1950 3825 2400 4425 2400
+4 0 0 50 -1 0 12 0.0000 4 135 180 4050 2250 W\001
+-6
+6 2925 1950 3525 2400
+2 4 0 1 0 7 50 -1 -1 0.000 0 0 7 0 0 5
+	 3525 2400 3525 1950 2925 1950 2925 2400 3525 2400
+4 0 0 50 -1 0 12 0.0000 4 135 180 3150 2250 W\001
+-6
+6 3000 1350 3375 1725
+2 1 0 5 4 7 50 -1 20 0.000 0 0 -1 0 0 13
+	 3188 1575 3300 1688 3338 1650 3225 1538 3338 1425 3300 1388
+	 3188 1500 3075 1388 3038 1425 3150 1538 3038 1650 3075 1688
+	 3188 1575
+-6
+2 1 0 2 0 -1 51 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 1.00 120.00 120.00
+	 3150 1800 3300 1125
+2 1 0 2 0 -1 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 1.00 120.00 120.00
+	 2625 1425 3075 975
+2 1 0 2 0 -1 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 1.00 120.00 120.00
+	 1200 975 1800 1425
+2 1 0 2 0 -1 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 1.00 120.00 120.00
+	 1050 1050 1350 1875
+2 1 0 2 0 -1 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 1.00 120.00 120.00
+	 3450 1125 3975 1800
+2 1 0 2 0 -1 50 -1 -1 0.000 0 0 -1 1 0 2
+	2 1 1.00 120.00 120.00
+	 4200 1800 4650 1125
Index: /trunk/subversion/subversion.tex
===================================================================
--- /trunk/subversion/subversion.tex	(revision 38)
+++ /trunk/subversion/subversion.tex	(revision 39)
@@ -340,4 +340,21 @@
     \end{slide}
 
+    \begin{slide}{Gérer les conflits}
+    \begin{figure}[htb]
+    \includegraphics*[height=0.3\textheight]{conflict}
+    \end{figure}
+    Si 2 commits sur le même fichier
+
+    \begin{itemize}
+    \item fusion automatique
+    \item conflit:
+        \begin{itemize}
+            \item \textit{svn resolved}
+            \item corriger le code
+            \item commiter
+        \end{itemize}
+    \end{itemize}
+    \end{slide}
+
     \part{Autour de subversion}
 