Index: /trunk/perl/chaines.tex
===================================================================
--- /trunk/perl/chaines.tex	(revision 176)
+++ /trunk/perl/chaines.tex	(revision 177)
@@ -40,19 +40,15 @@
 \frametitle{quote: exemple}
 
-\pause
-\vfill
-Chaine interpolées:
-
+\begin{exampleblock}{Chaine interpolées:}
 \begin{verbatim}
 my $var = "UMR7620";
 
-print "nous somme $var";
-pinrt qq{nous somme "$var"};
+print "nous somme \"$var\"";
+print qq!nous somme "$var"!;
 \end{verbatim}
-
+\end{exampleblock}
 \pause
 \vfill
-Chaine non interpolées:
-
+\begin{exampleblock}{Chaine non interpolées:}
 \begin{verbatim}
 my $var = 'UMR7620';
@@ -61,10 +57,18 @@
 print q{'$var' est une variable};
 \end{verbatim}
+\end{exampleblock}
+\pause
+\vfill
+\begin{exampleblock}{une liste}
+\begin{verbatim}
+my @tableau = qw(une liste de mots);
+\end{verbatim}
+\end{exampleblock}
 \end{frame}
 
 \begin{frame}[fragile]
 \frametitle{quote quote}
-Pour les longues chaines:
 \vfill
+\begin{exampleblock}{Pour les longues chaines:}
 \begin{verbatim}
 my $var = 42;
@@ -75,5 +79,5 @@
 FIN_DU_TEXTE
 \end{verbatim}
-\vfill
+\end{exampleblock}
 \end{frame}
 
@@ -82,55 +86,32 @@
 \begin{frame}
 \frametitle{Perl réinvente les RegExp}
-Les expressions régulières de Perl sont très puissantes !
+\begin{block}{Comment ne pas parler des Expéssions Régulières ?}
+Elles sont
+\begin{itemize}
+\item puissantes
+\item très étendues
+\item naturelles en perl
+\end{itemize}
+\end{block}
 
 \vfill
-\emph{Perl ça pue, y'a pas de fonction pour travailler avec des regexp comme en php}
-\vfill
-Php comme d'autres utilise la lib PCRE (Perl Compatible Regular Expressions).
+\begin{block}{Perl Compatible Regular Expression}
+Il y a même une librairie qui émule les expression régulière de PERL.
 
-\pause
-\vfill
-Attention: Perl utilise des expressions régulières très étendues
-\end{frame}
-
-\begin{frame}[fragile]
-\frametitle{Anatomie}
-Deux opérateurs:
+Utilisé par
 \begin{itemize}
-\item \verb+=~+ : correspond
-\item \verb+!~+ : ne correspond pas
+\item grep (et oui)
+\item php
+\item kde
+\item \ldots
 \end{itemize}
-\pause
-
-L'expression régulière:
-
-\begin{semiverbatim}
-  $var =~  \onslide<3->{m}\onslide<4->{/}\onslide<5->{motif}\onslide<4->{/}\onslide<6->{g};
-  $var =~   \onslide<4->{/}\onslide<5->{motif}\onslide<4->{/}\onslide<6->{g};
-  $var =~  \onslide<3->{s}\onslide<4->{/}\onslide<5->{motif}\onslide<4->{/}\onslide<5->{remplacement}\onslide<4->{/}\onslide<6->{g};
-\end{semiverbatim}
-
-\vfill
-\pause
-\begin{itemize}
-\item une action
-    \begin{itemize}
-    \item \textbf{m} (match, le défaut)
-    \item \textbf{s} (substitute)
-    \end{itemize}
-\pause
-\item des séparateurs (au choix)
-\pause
-\item le texte recherché (et le remplacement)
-\pause
-\item éventuellement un modificateur
-\end{itemize}
+\end{block}
 \end{frame}
 
 \begin{frame}[fragile]
 \frametitle{RegExp: les bases}
-Regarde si un chaine correspond à un motif
+\textbf{Regarde si une chaine correspond à un motif}
 
-Où le motif peut contenir:
+\begin{block}{le motif peut contenir:}
 \vfill
 
@@ -153,12 +134,47 @@
 \verb+()+&forme un groupe\\
 \end{tabular}
+\end{block}
+\end{frame}
+
+\begin{frame}[fragile]
+\frametitle{Anatomie}
+\begin{exampleblock}{L'expression régulière:}
+\small
+\begin{semiverbatim}
+  $var \onslide<2->{=~}  \onslide<3->{m}\onslide<4->{/}\onslide<5->{motif}\onslide<4->{/}\onslide<6->{i};
+  $var \onslide<2->{=~}   \onslide<4->{/}\onslide<5->{motif}\onslide<4->{/}\onslide<6->{i}; \onslide<3->{# séparateur / => opérateur m}
+  $var \onslide<2->{=~}  \onslide<3->{s}\onslide<4->{/}\onslide<5->{motif}\onslide<4->{/}\onslide<5->{remplacement}\onslide<4->{/}\onslide<6->{g};
+\end{semiverbatim}
+\end{exampleblock}
 
 \vfill
-
-\verb+man perlre+ pour tout savoir\ldots
+\pause
+\begin{block}{}
+\begin{itemize}
+\small
+\item un opérateur de comparaison
+    \begin{itemize}
+    \item \verb+=~+ : correspond
+    \item \verb+!~+ : ne correspond pas
+    \end{itemize}
+\pause
+\item une action
+    \begin{itemize}
+    \item \textbf{m} (match, le défaut)
+    \item \textbf{s} (substitute)
+    \end{itemize}
+\pause
+\item des séparateurs (au choix)
+\pause
+\item le texte recherché (et le remplacement)
+\pause
+\item éventuellement un modificateur
+\end{itemize}
+\end{block}
 \end{frame}
 
 \begin{frame}[fragile]
 \frametitle{RegExp: exemple dans perl}
+\begin{exampleblock}{}
 \begin{verbatim}
 my @list = ('UMR7620', 'umr8639');
@@ -171,7 +187,12 @@
 }
 \end{verbatim}
+\end{exampleblock}
 \pause
 \vfill
-Bon, je parle de perl, pas des RegExp, alors \verb+man perlre+ et \verb+man perlretut+ !
-
+\begin{block}{la doc !}
+\begin{itemize}
+\item \verb+man perlre+
+\item \verb+man perlretut+
+\end{itemize}
+\end{block}
 \end{frame}