Index: trunk/unix/unix.tex
===================================================================
--- trunk/unix/unix.tex	(revision 213)
+++ trunk/unix/unix.tex	(revision 214)
@@ -214,6 +214,6 @@
 \verb+/home+&les données utilisateurs\\
 \verb+/etc+&fichiers de configuration\\
-\verb+/bin+, \verb+/usr/bin+&les executables utilisateur\\
-\verb+/sbin+, \verb+/usr/sbin+&idem, pour root\\
+\verb+/bin+, \verb+/usr/bin+&les executables\\
+\verb+/sbin+, \verb+/usr/sbin+&idem, réservés à root\\
 \verb+/lib+, \verb+/usr/lib+&les librairies\\
 \verb+/usr/share+&les données statiques des programmes\\
@@ -271,5 +271,5 @@
 \item le séparateur est \verb+/+
 \item plusieurs \verb+/+ n'en font qu'un
-\item la longueur maximale d'un chemin est de 1024 (POSIX)
+\item la longueur maximale d'un chemin est de 1024 octets (POSIX)
 \item tous les caractères sont permis sauf \verb+/+ et \emph{NULL}
 \end{itemize}
@@ -310,8 +310,8 @@
 \begin{frame}[fragile]
 \frametitle{. et ..}
-\begin{block}{chaque dossier contient:}
+\begin{block}{chaque répertoire contient:}
 \begin{itemize}
 \item \verb+.+ le répertoire lui même
-\item \verb+..+ le parent
+\item \verb+..+ son répertoire parent
 \end{itemize}
 \end{block}
@@ -328,31 +328,4 @@
 On rebondit sur \verb+/+ et on redescend dans \verb+/etc/passwd+.
 \end{alertblock}
-\end{frame}
-
-\begin{frame}[fragile]
-\frametitle{Fichiers temporaires}
-\begin{block}{Un fichier qu'on ne va pas garder, mais:}
-\begin{itemize}
-\item il ne doit pas exister
-\pause
-\item nom aléatoire (écrasement basé sur un lien symbolique)
-\pause
-\item le placer au bon endroit
-\end{itemize}
-\pause
-\vfill
-\textbf{en pratique}
-\begin{itemize}
-\item shell: mktemp
-\item C: mkstemp
-\item Perl: module File::Temp
-\end{itemize}
-\end{block}
-\pause
-\vfill
-\begin{exampleblock}{}
-\small
-\listinginput[1]{1}{temp.sh}
-\end{exampleblock}
 \end{frame}
 
@@ -384,4 +357,28 @@
 Créer un fichier créer l'inode\\
 Effacer un fichier efface l'inode (si plus référencée)
+\end{alertblock}
+\end{frame}
+
+\begin{frame}[fragile]
+\begin{alertblock}{quand ctime dépasse mtime}
+Copie en préservant les métadata:
+{\small\begin{verbatim}
+[olivier@andromede unix]$ cp -a unix.tex unix2.tex
+\end{verbatim}
+}
+\pause
+Le fichier vient d'être créé:
+{\small\begin{verbatim}
+[olivier@andromede unix]$ ls -l --time=c unix2.tex
+-rw-r--r-- 1 olivier olivier 3049 18:47 unix2.tex
+\end{verbatim}
+}
+\pause
+Pourtant la date de modification est antérieur:
+{\small\begin{verbatim}
+[olivier@andromede unix]$ ls -l  unix2.tex
+-rw-r--r-- 1 olivier olivier 3049 17:30 unix2.tex
+\end{verbatim}
+}
 \end{alertblock}
 \end{frame}
@@ -433,25 +430,28 @@
 
 \begin{frame}[fragile]
-\begin{alertblock}{quand ctime dépasse mtime}
-Copie en préservant les métadata:
-{\small\begin{verbatim}
-[olivier@andromede unix]$ cp -a unix.tex unix2.tex
-\end{verbatim}
-}
-\pause
-Le fichier vient d'être créé:
-{\small\begin{verbatim}
-[olivier@andromede unix]$ ls -l --time=c unix2.tex
--rw-r--r-- 1 olivier olivier 3049 18:47 unix2.tex
-\end{verbatim}
-}
-\pause
-Pourtant la date de modification est antérieur:
-{\small\begin{verbatim}
-[olivier@andromede unix]$ ls -l  unix2.tex
--rw-r--r-- 1 olivier olivier 3049 17:30 unix2.tex
-\end{verbatim}
-}
-\end{alertblock}
+\frametitle{Fichiers temporaires}
+\begin{block}{Un fichier qu'on ne va pas garder, mais:}
+\begin{itemize}
+\item il ne doit pas exister
+\pause
+\item nom aléatoire (écrasement basé sur un lien symbolique)
+\pause
+\item le placer au bon endroit
+\end{itemize}
+\pause
+\vfill
+\textbf{en pratique}
+\begin{itemize}
+\item shell: mktemp
+\item C: mkstemp
+\item Perl: module File::Temp
+\end{itemize}
+\end{block}
+\pause
+\vfill
+\begin{exampleblock}{}
+\small
+\listinginput[1]{1}{temp.sh}
+\end{exampleblock}
 \end{frame}
 
@@ -488,4 +488,41 @@
 \end{verbatim}
 \end{small}
+\end{exampleblock}
+\end{frame}
+
+\begin{frame}[fragile]
+\frametitle{Liens symboliques}
+\begin{block}{Fichier qui pointe sur un autre:}
+\begin{itemize}
+\item gérés le système
+\item il ne contient que le nom de l'élément pointé
+\begin{itemize}
+\pause
+\item l'élément pointer peut être n'importe quoi
+\item l'élément peut ne pas existé (lien cassé)
+\end{itemize}
+\pause
+\item les actions s'appliquent à l'élément pointé sauf:
+\begin{itemize}
+\item ls/rm
+\item les apples systèmes prévus
+\end{itemize}
+\end{itemize}
+\end{block}
+\pause
+\begin{exampleblock}{exemple}
+\tiny
+\begin{verbatim}
+$ ln -s  fichier lien
+$ ls -l lien
+lrwxrwxrwx 1 olivier olivier 7 19:13 lien -> fichier
+$ ls -l lien fichier
+ls: ne peut accéder fichier: Aucun fichier ou dossier de ce type
+lrwxrwxrwx 1 olivier olivier 7 19:13 lien -> fichier
+$ echo 'coucou' > lien
+$ ls -l lien fichier
+-rw-rw-r-- 1 olivier olivier 7 19:14 fichier
+lrwxrwxrwx 1 olivier olivier 7 19:13 lien -> fichier
+\end{verbatim}
 \end{exampleblock}
 \end{frame}
@@ -1022,5 +1059,5 @@
 \item \textbf{1992 création de XFree86 (utilisé par Linux)}
 \item 1999 X11R6.5
-\item 2004 Xorg se sépare de XFree86 (pb de license)
+\item 2004 Xorg se sépare de XFree86 (pb de licence)
 \item \textbf{depuis tout les UNIX libres utilisent Xorg}
 \end{itemize}