Index: /trunk/public-mirror/main.tex
===================================================================
--- /trunk/public-mirror/main.tex	(revision 254)
+++ /trunk/public-mirror/main.tex	(revision 255)
@@ -19,5 +19,5 @@
 }
 
-\title{Mettre en place un miroir publique}
+\title{Mettre en place un miroir public}
 \subtitle{Comment faire un Distrib-coffee}
 \author{Olivier Thauvin}
@@ -49,10 +49,10 @@
 \end{frame}
 
-\section{GÃ©nÃ©ralitÃ©}
+\section{GÃ©nÃ©ralitÃ©s}
 
 \begin{frame}
 \frametitle{DÃ©finition}
 \vfill
-\begin{block}{Service de fichier}
+\begin{block}{Service de fichiers}
 Un serveur accessible pour distribuer des fichiers de maniÃšre anonyme et
 gratuite
@@ -82,5 +82,5 @@
 \item il va tomber en panne
 \pause
-\item sous la pression des utilisateurs, vous essayer de le rÃ©parer toute la
+\item sous la pression des utilisateurs, vous essayez de le rÃ©parer toute la
 nuit
 \pause
@@ -96,9 +96,9 @@
 \vfill
 \begin{alertblock}{}
-Avez-vous mÃ©ritÃ© celÃ  ?
+Avez-vous mÃ©ritÃ© cela ?
 \end{alertblock}
 \end{frame}
 
-\section{Definition du besoin}
+\section{DÃ©finition du besoin}
 
 \begin{frame}
@@ -108,5 +108,5 @@
 \item 1~octet fait 8~bits,\\
 donc 100~mbits fait 13~107~200~octets (12,5~Mo),\\
-donc 1~gbits fait 134~217~728~octets (128~Mo)
+donc 1~gbit fait 134~217~728~octets (128~Mo)
 \pause
 \item 1~kilo fait 1024,\\
@@ -114,5 +114,5 @@
 donc 1~To fait 1~099~511~627~780~octets
 \pause
-\item un disque de 1~To Ã§a fait $10^{12}$ octets,\\
+\item un disque de 1~To fait $10^{12}$ octets,\\
 donc ce disque fait 931,32~Go
 \end{itemize}
@@ -127,5 +127,5 @@
 \item charge prÃ©visible
 \end{itemize}
-Ne posent gÃ©nÃ©ralement pas de problÃšmes particulier.
+Ne posent gÃ©nÃ©ralement pas de problÃšmes particuliers.
 \end{block}
 \vfill
@@ -135,6 +135,6 @@
 \item visiteurs inconnus
 \begin{itemize}
-\item de part leurs identitÃ©s
-\item de part leur nombre
+\item concernant leur identitÃ©
+\item concernant leur nombre
 \end{itemize}
 \item risque de surcharge
@@ -147,12 +147,12 @@
 \begin{frame}
 \frametitle{Contenus diffusÃ©s}
-\begin{block}{Quel contenus}
-\begin{itemize}
-\item SystÃšme d'exploitation
+\begin{block}{Quels contenus}
+\begin{itemize}
+\item SystÃšmes d'exploitation
     \begin{itemize}
-    \item mise Ã  jour
-    \item systÃšme complets, image cd/dvd
+    \item mises Ã  jour
+    \item systÃšmes complets, images cd/dvd
     \end{itemize}
-\item Source de logiciels
+\item Sources de logiciels
 \item Fichiers vidÃ©os/son (lÃ©gaux !!!)
 \end{itemize}
@@ -164,12 +164,12 @@
 \item Utilisateurs/Sys admin.
 \item Developeurs/contributeurs
-\item d'autres miroirs
-\end{itemize}
-\end{block}
-\end{frame}
-
-\begin{frame}
-\frametitle{Exemple de taille}
-\begin{exampleblock}{Distribution (en Go)}
+\item D'autres miroirs
+\end{itemize}
+\end{block}
+\end{frame}
+
+\begin{frame}
+\frametitle{Exemples de taille}
+\begin{exampleblock}{Distributions (en Go)}
 \centering
 \begin{tabular}{|l|r@{.}l|l|r@{.}l|}
@@ -226,7 +226,7 @@
 \begin{itemize}
 \item 20~mbits peuvent suffire
-\item pour des mise Ã  jours correcte: 100~mbits
-\end{itemize}
-\item en upload (serveur publique)
+\item pour des mises Ã  jour correcte: 100~mbits
+\end{itemize}
+\item en upload (serveur public)
 \begin{itemize}
 \item 100~mbits minimum, gigabit recommandÃ©
@@ -259,5 +259,5 @@
 \begin{itemize}
 \item alimentations redondantes
-\item garantie/maintenance constructeur (3 voir 5 ans)
+\item garantie/maintenance constructeur (3 voire 5 ans)
 \pause
 \item un systÃšme de sauvegarde du systÃšme
@@ -273,6 +273,6 @@
 \begin{block}{Performance}
 \begin{itemize}
-\item peu d'Ã©criture, beaucoup de lecture
-\item peu de trÃšs gros dÃ©bit
+\item peu d'Ã©critures, beaucoup de lectures
+\item peu de trÃšs gros dÃ©bits
 \item beaucoup d'accÃšs concurrents
 \end{itemize}
@@ -285,5 +285,5 @@
 \item espace utile $\approx$ 80\% espace brut
 \item les distributions grossissent\\
-    (Mdv 2007.0: 29G, Mdv 2010.0: 48G)
+    (Mdv 2007.0: 29Go, Mdv 2010.0: 48Go)
 \item rÃ©pondre aux futurs besoins
 \end{itemize}
@@ -292,5 +292,5 @@
 
 \begin{frame}
-\frametitle{Solution de stockage}
+\frametitle{Solutions de stockage}
 \begin{block}{Disques internes}
 \begin{itemize}
@@ -302,8 +302,8 @@
 \vfill
 
-\begin{block}{Solution externes / Baies autonomes}
+\begin{block}{Solutions externes / Baies autonomes}
 \begin{tabular}{|c|c|l|}
 \hline
-Conn.&type disque&commentaire\\
+Conn.&type disque&commentaires\\
 \hline
 \hline
@@ -427,5 +427,5 @@
 \pause
 \begin{block}{Windows ?}
-Les retours d'expÃ©rience m'intÃ©resse !
+Les retours d'expÃ©rience m'intÃ©ressent !
 \end{block}
 \pause
@@ -462,5 +462,5 @@
 \begin{block}{Conseils}
 \begin{itemize}
-\item un seul systÃšme de fichier (Ã©vite les dÃ©placements coÃ»teux entre disques)
+\item un seul systÃšme de fichiers (Ã©vite les dÃ©placements coÃ»teux entre disques)
 \item ne pas exposer la racine mais un sous rÃ©pertoire
 \pause
@@ -472,5 +472,5 @@
 \item systÃšme supportant un grand nombre de fichiers
 \pause
-\item retaillable (Ã  chaud)
+\item redimensionnement (Ã  chaud)
 \pause
 \item \textbf{journalisÃ©}
@@ -491,7 +491,7 @@
 \begin{block}{Contraintes}
 \begin{itemize}
-\item protocol mal adaptÃ© Ã  du tÃ©lÃ©chargement pur
-\item beaucoup de connections, de plus en plus utilisÃ©
-\item des connections longue (temps de tÃ©lÃ©chargement)
+\item protocole mal adaptÃ© Ã  du tÃ©lÃ©chargement pur
+\item beaucoup de connections
+\item des connections longues (temps de tÃ©lÃ©chargement)
 \end{itemize}
 \end{block}
@@ -500,7 +500,7 @@
 \begin{block}{Apache ?}
 \begin{itemize}
-\item souple, nombreux support (via modules)
+\item souple, nombreux supports (via modules)
 \item configuration parfois peu aisÃ©e
-\item besoin de restart qui arrÃšte toutes les connections en court
+\item besoin de \emph{restart} qui arrÃšte toutes les connections en courts
 \item gourmand en RAM
 \end{itemize}
@@ -545,9 +545,9 @@
 \vfill
 \begin{block}{Solution:}
-Pour apache: mod-limitipconn, renvoit une erreur \verb+503+ en cas de connections multiples
+Pour apache: \verb+mod-limitipconn+, renvoit une erreur \verb+503+ en cas de connections multiples
 \begin{itemize}
 \item permet de limiter seulement une arborescence
-\item ne detecte pas bien la fin des connections \verb+:\+
-\item Ã©fficace
+\item ne dÃ©tecte pas bien la fin des connections \verb+:\+
+\item efficace
 \end{itemize}
 \end{block}
@@ -587,4 +587,5 @@
 \item vsftpd
 \pause
+\item pureftpd
 \item \ldots
 \end{itemize}
@@ -596,8 +597,8 @@
 \begin{frame}[fragile]
 \frametitle{Rsync (serveur)}
-\begin{block}{Utilisation}
+\begin{block}{Utilisations}
 \begin{itemize}
 \item avant tout synchronisation d'arborescence
-\item du tÃ©lÃ©chargement de fichier (certaines distributions)
+\item tÃ©lÃ©chargement de fichier (certaines distributions)
 \end{itemize}
 \pause
@@ -611,7 +612,7 @@
 \begin{block}{Limiter rsync}
 \begin{itemize}
-\item dÃ©sactiver la compression (\verb+-z+): trÃšs souvent inutiles (fichiers comprÃ©ssÃ©s)
-\pause
-\item dÃ©sactiver le recalcul checksum (\verb+-c+): force cotÃ© serveur la
+\item dÃ©sactiver la compression (\verb+-z+): trÃšs souvent inutile (fichiers dÃ©jÃ  compressÃ©s)
+\pause
+\item dÃ©sactiver le recalcul des \emph{checksum} (\verb+-c+) qui force cotÃ© serveur la
 relecture des fichiers
 \end{itemize}
@@ -648,6 +649,6 @@
 \begin{block}{Raisons:}
 \begin{itemize}
-\item Ã©viter la surcharge de le connection du site
-\item favoriser les rÃ©seau amis (ou l'entreprise)
+\item Ã©viter la surcharge de connection du site
+\item favoriser les rÃ©seaux amis (ou l'entreprise)
 \item favoriser certaines mÃ©thodes de tÃ©lÃ©chargement
 \item rendre Ã©quitable les tÃ©lÃ©chargements
@@ -700,5 +701,5 @@
 tc qdisc add dev eth0 parent 1:122  handle 122: sfq perturb 5
 
-# Ã©galise par sources/destination et non par connection:
+# Ã©galise par source/destination et non par connection:
 tc filter add dev eth0 protocol ip parent 122: handle 1221 \
   flow hash keys src,dst divisor 1024
@@ -715,6 +716,6 @@
 \begin{itemize}
 \item un contact (un mail)
-\item qui hÃ©berge le serveur (votre sociÃ©tÃ©)
-\item comment acceder aux mirroirs
+\item hÃ©bergeur du serveur (votre sociÃ©tÃ©)
+\item comment accÃ©der aux mirroirs
 \item informations lÃ©gales
 \item les recommandations d'usage
@@ -737,5 +738,5 @@
 \item difficultÃ© Ã  trouver les informations
 \item politiques diffÃ©rentes (outils, options des outils)
-\item multitudes de contact (un par distribution)
+\item multitudes de contacts (un par distribution)
 \item communication inapropriÃ©e et/ou surnumÃ©raire
 \end{itemize}
@@ -753,16 +754,16 @@
 \begin{itemize}
 \item support des liens hard
-\item retprise de tÃ©lÃ©chargement partiel
+\item reprise des tÃ©lÃ©chargements partiels
 \end{itemize}
 \end{block}
 \begin{block}{rsync: les bonnes options}
 \begin{itemize}
-\item \verb+-a+ rÃ©cursisif, permission
-\item \verb+-H+ prÃ©serve les \emph{liens hard}
-\pause
-\item \verb+--temp-dir+ rÃ©pertoire temporaire
-\pause
-\item \verb+--partial --partial-dir+ garder les fichiers temporaire mais
-ailleurs
+\item \verb+-a+: rÃ©cursif, sauvegarde des permissions
+\item \verb+-H+: prÃ©serve les \emph{liens hard}
+\pause
+\item \verb+--temp-dir+: rÃ©pertoire temporaire
+\pause
+\item \verb+--partial --partial-dir+: garde les fichiers temporaires en dehors de
+l'arborescence
 
 \end{itemize}
@@ -772,5 +773,5 @@
 \begin{frame}[fragile]
 \frametitle{Automatiser les synchronisations}
-\begin{block}{Pas de solution toutes faites}
+\begin{block}{Pas de solution toute faite}
 Solution simple: \verb+cron+ et script shell.
 \pause
@@ -788,8 +789,8 @@
 \vfill
 \begin{block}{MMM}
-DÃ©mons en perl:
+DÃ©mons en \verb+perl+:
 \begin{itemize}
 \item fichier de configuration unique
-\item detection d'erreur
+\item dÃ©tection des erreurs
 \item pose de verrou
 \end{itemize}
@@ -810,5 +811,5 @@
 \begin{frame}
 \frametitle{RÃ©seau}
-\begin{exampleblock}{Debit par QOS}
+\begin{exampleblock}{DÃ©bits par QOS}
 \begin{center}
 \includegraphics[height=50mm]{ifqosq_vlan1200-day}
@@ -880,4 +881,13 @@
 Des questions ?
 \end{alertblock}
+\vfill
+\begin{block}{Mille Mercis}
+\begin{itemize}
+\item Amaz
+\item Jehane
+\item DjeZaeL
+\item shikamaru
+\end{itemize}
+\end{block}
 \end{frame}
 