Index: /trunk/presentation-langages/Makefile
===================================================================
--- /trunk/presentation-langages/Makefile	(revision 282)
+++ /trunk/presentation-langages/Makefile	(revision 283)
@@ -21,4 +21,6 @@
 	ruby.tex \
 	php.tex \
+	java.tex \
+	csharp.tex \
 
 FIGURES= \
Index: /trunk/presentation-langages/csharp.tex
===================================================================
--- /trunk/presentation-langages/csharp.tex	(revision 283)
+++ /trunk/presentation-langages/csharp.tex	(revision 283)
@@ -0,0 +1,41 @@
+\subsection{C\#}
+\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+\begin{itemize}
+\item interprÃ©teur vs. compilateur 
+\item langage objet ?
+\item gratuit / payant / licences ?
+\item type de langage (fonctionnel, impÃ©ratif)
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Aspects scientifiques}
+\begin{itemize}
+\item langage matriciel ?
+\item librairies mathÃ©matiques ?
+\item librairies graphiques (tracÃ© de courbe...) ?
+\item cartographie fournie pour les tracÃ©s ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Aspects informatiques}
+\begin{itemize}
+\item langage multi-threadÃ© ? 
+\item langage parallÃ©lisable ?
+\item portabilitÃ© des codes ($\ne$ architectures / $\ne$ systÃšmes) ?
+\item interopÃ©rabilitÃ© avec les autres langages ?
+\item accÃšs SGDB ?
+\item documentation automatique avec doxygen
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Autres}
+\begin{itemize}
+\item acess Ã  une documentation en ligne ?
+\item existance d'une IDE propre au langage ou non ?
+\item librairie graphique pour crÃ©ation d'IHM (web ou locale) ?
+\item existance d'un shell interprÃ©tÃ© ?
+\item existance d'un dÃ©pÃŽt gÃ©nÃ©ralisÃ© des contributions des utilisateurs (en
+plus des modules de la librairie standard) ?
+\item sÃ©curitÃ©
+\end{itemize}
+\end{frame}
Index: /trunk/presentation-langages/idl.tex
===================================================================
--- /trunk/presentation-langages/idl.tex	(revision 283)
+++ /trunk/presentation-langages/idl.tex	(revision 283)
@@ -0,0 +1,38 @@
+\subsection{IDL}
+\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+\begin{itemize}
+\item langage interprÃ©tÃ©. PossibilitÃ© de pseudo-compilation. 
+\item langage objet 
+\item payant 
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Aspects scientifiques}
+\begin{itemize}
+\item langage matriciel 
+\item librairies mathÃ©matiques en partie fournies avec le coeur du langage,
+d'autres sont Ã  payer en plus
+\item librairies graphiques (tracÃ© de courbe...) en interne
+\item cartographie fournie pour les tracÃ©s (continent, riviÃšres,...)
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Aspects informatiques}
+\begin{itemize}
+\item langage multi-threadÃ© en automatique, pas manipulable par l'utilisateur.
+\item langage parallÃ©lisable avec la librairie MPIDL payante.
+\item codes portable sur architecture et systÃšmes diffÃ©rents, Ã  la construction
+des chemins prÃšs.
+\item interopÃ©rabilitÃ© avec les autres langages ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Autres}
+\begin{itemize}
+\item documentation interne avec interface graphique, pas de documentation en
+ligne
+\item existance d'une IDE propre (IDLDE)
+\item librairie graphique pour crÃ©ation d'IHM locale
+\item existance d'un shell interprÃ©tÃ© 
+\end{itemize}
+\end{frame}
Index: /trunk/presentation-langages/java.tex
===================================================================
--- /trunk/presentation-langages/java.tex	(revision 283)
+++ /trunk/presentation-langages/java.tex	(revision 283)
@@ -0,0 +1,40 @@
+\subsection{Java}
+\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+\begin{itemize}
+\item langage objet 
+\item gratuit / payant / licences ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Aspects scientifiques}
+\begin{itemize}
+\item langage matriciel ?
+\item librairies mathÃ©matiques ?
+\item librairies graphiques (tracÃ© de courbe...) ?
+\item cartographie fournie pour les tracÃ©s ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}[fragile]\frametitle{Aspects informatiques}
+\begin{itemize}
+\item langage multi-threadÃ© ? 
+\item parallÃ©lisable via modules additionnels
+\verb+http://www.cs.hku.hk/~lchen2/javampi.html+
+\item portabilitÃ© des codes ($\ne$ architectures / $\ne$ systÃšmes) ?
+\item interopÃ©rabilitÃ© avec les autres langages ?
+\item accÃšs SGDB ?
+\item documentation automatique avec doxygen
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Autres}
+\begin{itemize}
+\item acess Ã  une documentation en ligne ?
+\item existance d'une IDE propre au langage ou non ?
+\item librairie graphique pour crÃ©ation d'IHM (web ou locale) ?
+\item existance d'un shell interprÃ©tÃ© ?
+\item existance d'un dÃ©pÃŽt gÃ©nÃ©ralisÃ© des contributions des utilisateurs (en
+plus des modules de la librairie standard) ?
+\item sÃ©curitÃ©
+\end{itemize}
+\end{frame}
Index: /trunk/presentation-langages/main.tex
===================================================================
--- /trunk/presentation-langages/main.tex	(revision 282)
+++ /trunk/presentation-langages/main.tex	(revision 283)
@@ -58,6 +58,6 @@
 \include{cpp}
 \include{fortran}
-\subsection{Java}
-\subsection{C\#}
+\include{java}
+\include{csharp}
 
 \section{Langages InterprÃ©tÃ©s}
Index: /trunk/presentation-langages/python.tex
===================================================================
--- /trunk/presentation-langages/python.tex	(revision 282)
+++ /trunk/presentation-langages/python.tex	(revision 283)
@@ -9,4 +9,6 @@
 \begin{frame}\frametitle{Aspects scientifiques}
 \begin{itemize}
+\item existance d'un type complexe et d'une librairie interne (cmath) pour les
+fonctions de base
 \item librairies mathÃ©matiques : NumPy, SciPy ??
 \item librairies graphiques : MathPlotlib ??
@@ -25,5 +27,8 @@
 faÃ§on sur Windows)
 \item plusieurs API pour intÃ©ragir avec du code C sont disponibles
-\item possibilitÃ© d'accÃšs aux basses de donnÃ©es via des modules externes ???
+\item possibilitÃ© de gestion d'une base de donnÃ©es via module interne (dbm,
+gdbm, dbhash...) sous Unix
+\item API d'accÃšs Ã  une base de donnÃ©e via module interne (sqlite3 pour SQLite)
+ou externes (
 \end{itemize}
 \end{frame}
@@ -36,5 +41,6 @@
 \item plusieurs librairies graphique pour crÃ©ation d'IHM (web ou locale) 
 \item existance d'un shell interprÃ©tÃ© 
-\item existance d'un dÃ©pÃŽt gÃ©nÃ©ralisÃ© des contributions des utilisateurs (en
+\item liste des contributions des utilisateurs
+\verb+http://pypi.python.org/pypi+
 \item documentation automatique avec doxygen ou avec sphinx
 \end{itemize}