Index: /trunk/presentation-langages/Makefile
===================================================================
--- /trunk/presentation-langages/Makefile	(revision 285)
+++ /trunk/presentation-langages/Makefile	(revision 286)
@@ -13,14 +13,17 @@
     cpp.tex \
     fortran.tex \
+	java.tex \
+	csharp.tex \
+	perl.tex \
     python.tex \
+	ruby.tex \
+	php.tex \
+    scilab.tex \
+    matlab.tex \
+    octave.tex \
     idl.tex \
     generalite_fonctionnel.tex \
     ocaml.tex \
     haskell.tex \
-	perl.tex \
-	ruby.tex \
-	php.tex \
-	java.tex \
-	csharp.tex \
 
 FIGURES= \
Index: /trunk/presentation-langages/c.tex
===================================================================
--- /trunk/presentation-langages/c.tex	(revision 285)
+++ /trunk/presentation-langages/c.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Le langage C}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Le langage C}
+\begin{frame}\frametitle{Le langage C - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item aussi appelÃ© \og macro-assembleur \fg
@@ -9,10 +9,10 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Le langage C - Aspects scientifiques}
 => Pas de librairies scientifiques (matrices,  analyse numÃ©rique...) ni graphiques (plot, cartographie) fournies en standard.\\
 => Mais possibilitÃ© d'utiliser des librairies externes.
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{Le langage C - Aspects informatiques}
 \begin{itemize}
 \item support multi-thread selon OS et librairies systÃšme.
@@ -23,5 +23,5 @@
 \end{frame}
 
-%\begin{frame}\frametitle{Autres}
+%\begin{frame}\frametitle{Le langage C - Autres}
 
 %\end{frame}
Index: /trunk/presentation-langages/cpp.tex
===================================================================
--- /trunk/presentation-langages/cpp.tex	(revision 285)
+++ /trunk/presentation-langages/cpp.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{C++}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{C++}
+\begin{frame}\frametitle{C++ - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item aussi appelÃ© \og macro-assembleur \fg
@@ -11,5 +11,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{C++ - Aspects scientifiques}
 => Pas de librairies scientifiques (matrices,  analyse numÃ©rique...) ni graphiques (plot, cartographie) fournies en standard.\\
 => Mais possibilitÃ© d'utiliser des librairies externes.
@@ -17,5 +17,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{C++ - Aspects informatiques}
 \begin{itemize}
 \item support multi-thread selon OS et librairies systÃšme.
@@ -27,5 +27,5 @@
 \end{frame}
 
-%\begin{frame}\frametitle{Autres}
+%\begin{frame}\frametitle{C++ - Autres}
 
 %\end{frame}
Index: /trunk/presentation-langages/csharp.tex
===================================================================
--- /trunk/presentation-langages/csharp.tex	(revision 285)
+++ /trunk/presentation-langages/csharp.tex	(revision 286)
@@ -1,4 +1,13 @@
-\subsection{C\#}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{C\#}
+
+\begin{frame}
+%\begin{block}
+\begin{center}
+\LARGE{\textbf{C\#}}
+\end{center}
+%\end{block}
+\end{frame}
+
+\begin{frame}\frametitle{C\# - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item interprÃ©teur vs. compilateur 
@@ -9,5 +18,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{C\# - Aspects scientifiques}
 \begin{itemize}
 \item langage matriciel ?
@@ -18,5 +27,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{C\# - Aspects informatiques}
 \begin{itemize}
 \item langage multi-threadÃ© ? 
@@ -29,5 +38,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Autres}
+\begin{frame}\frametitle{C\# - Autres}
 \begin{itemize}
 \item acess Ã  une documentation en ligne ?
Index: /trunk/presentation-langages/fortran.tex
===================================================================
--- /trunk/presentation-langages/fortran.tex	(revision 285)
+++ /trunk/presentation-langages/fortran.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Fortran 90/95/2003}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Fortran 90/95/2003}
+\begin{frame}\frametitle{Fortran 90/95/2003 - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item langage compilÃ©
@@ -9,5 +9,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Fortran 90/95/2003 - Aspects scientifiques}
 => langage matriciel (dÃšs le norme 90)\\
 => existances de librairies mathÃ©matiques libres externes \\
@@ -16,5 +16,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{Fortran 90/95/2003 - Aspects informatiques}
 \begin{itemize}
 \item parallÃ©lisation via librairies externes (MPI /OpenMP)
@@ -26,5 +26,5 @@
 \end{frame}
 
-%\begin{frame}\frametitle{Autres}
+%\begin{frame}\frametitle{Fortran 90/95/2003 - Autres}
 %\begin{itemize}
 
Index: /trunk/presentation-langages/haskell.tex
===================================================================
--- /trunk/presentation-langages/haskell.tex	(revision 285)
+++ /trunk/presentation-langages/haskell.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Haskell}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Haskell}
+\begin{frame}\frametitle{Haskell - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item langage fonctionnel pur
@@ -8,5 +8,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Haskell - Aspects scientifiques}
 \begin{itemize}
 \item trÃšs performant pour du calcul
@@ -16,5 +16,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{Haskell - Aspects informatiques}
 \begin{itemize}
 \item support multithread natif, sans modification du code
@@ -24,5 +24,5 @@
 
 \begin{frame}[fragile]
-\frametitle{Autres}
+\frametitle{Haskell - Autres}
 \begin{itemize}
 \item la majoritÃ© des implÃ©mentation propose un shell (ghci, hugs)
Index: /trunk/presentation-langages/idl.tex
===================================================================
--- /trunk/presentation-langages/idl.tex	(revision 285)
+++ /trunk/presentation-langages/idl.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{IDL}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{IDL}
+\begin{frame}\frametitle{IDL - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item langage interprÃ©tÃ©. PossibilitÃ© de pseudo-compilation. 
@@ -8,5 +8,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{IDL - Aspects scientifiques}
 \begin{itemize}
 \item langage matriciel 
@@ -18,5 +18,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{IDL - Aspects informatiques}
 \begin{itemize}
 \item langage multi-threadÃ© en automatique, pas manipulable par l'utilisateur.
@@ -28,5 +28,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Autres}
+\begin{frame}\frametitle{IDL - Autres}
 \begin{itemize}
 \item documentation interne avec interface graphique, pas de documentation en
Index: /trunk/presentation-langages/java.tex
===================================================================
--- /trunk/presentation-langages/java.tex	(revision 285)
+++ /trunk/presentation-langages/java.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Java}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Java}
+\begin{frame}\frametitle{Java - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item langage objet 
@@ -7,5 +7,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Java - Aspects scientifiques}
 \begin{itemize}
 \item langage matriciel ?
@@ -16,5 +16,5 @@
 \end{frame}
 
-\begin{frame}[fragile]\frametitle{Aspects informatiques}
+\begin{frame}[fragile]\frametitle{Java - Aspects informatiques}
 \begin{itemize}
 \item langage multi-threadÃ© ? 
@@ -28,5 +28,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Autres}
+\begin{frame}\frametitle{Java - Autres}
 \begin{itemize}
 \item acess Ã  une documentation en ligne ?
Index: /trunk/presentation-langages/main.tex
===================================================================
--- /trunk/presentation-langages/main.tex	(revision 285)
+++ /trunk/presentation-langages/main.tex	(revision 286)
@@ -19,5 +19,5 @@
 }
 
-\title{PrÃ©sentation des Langages}
+\title{PrÃ©sentation des langages utilisables en sciences.}
 \subtitle{}
 \author{Claire Manent, Olivier Thauvin}
@@ -51,7 +51,7 @@
 %\section{RÃ©sumÃ©}
 \include{resume}
-%\section{Langages impÃ©ratifs}
+\section{Langages impÃ©ratifs}
 
-\section{Langages CompilÃ©s}
+\subsection{Langages CompilÃ©s}
 
 \include{c}
@@ -61,5 +61,5 @@
 \include{csharp}
 
-\section{Langages InterprÃ©tÃ©s}
+\subsection{Langages InterprÃ©tÃ©s}
 
 \include{perl}
@@ -69,8 +69,9 @@
 
 %% TODO: revoir le mot applicatif
-\section{Langages applicatifs}
+\subsection{Langages applicatifs}
 
-\subsection{scilab}
-\subsection{matlab/octave}
+\include{scilab}
+\include{matlab}
+\include{octave}
 \include{idl}
 
Index: /trunk/presentation-langages/matlab.tex
===================================================================
--- /trunk/presentation-langages/matlab.tex	(revision 286)
+++ /trunk/presentation-langages/matlab.tex	(revision 286)
@@ -0,0 +1,39 @@
+\begin{frame}\frametitle{Matlab - GÃ©nÃ©ralitÃ©s}
+\begin{itemize}
+\item interprÃ©teur vs. compilateur 
+\item langage objet ?
+\item gratuit / payant / licences ?
+\item type de langage (fonctionnel, impÃ©ratif)
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Matlab - Aspects scientifiques}
+\begin{itemize}
+\item langage matriciel ?
+\item librairies mathÃ©matiques ?
+\item librairies graphiques (tracÃ© de courbe...) ?
+\item cartographie fournie pour les tracÃ©s ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Matlab - Aspects informatiques}
+\begin{itemize}
+\item langage multi-threadÃ© ? 
+\item langage parallÃ©lisable ?
+\item portabilitÃ© des codes ($\ne$ architectures / $\ne$ systÃšmes) ?
+\item interopÃ©rabilitÃ© avec les autres langages ?
+\item accÃšs SGDB ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Matlab - Autres}
+\begin{itemize}
+\item acess Ã  une documentation en ligne ?
+\item existance d'une IDE propre au langage ou non ?
+\item librairie graphique pour crÃ©ation d'IHM (web ou locale) ?
+\item existance d'un shell interprÃ©tÃ© ?
+\item existance d'un dÃ©pÃŽt gÃ©nÃ©ralisÃ© des contributions des utilisateurs (en
+plus des modules de la librairie standard) ?
+\item sÃ©curitÃ©
+\end{itemize}
+\end{frame}
Index: /trunk/presentation-langages/ocaml.tex
===================================================================
--- /trunk/presentation-langages/ocaml.tex	(revision 285)
+++ /trunk/presentation-langages/ocaml.tex	(revision 286)
@@ -1,4 +1,5 @@
-\subsection{Ocaml}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+\subsection{Exemples de langages}
+%\subsection{Ocaml}
+\begin{frame}\frametitle{Ocaml - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item langage fonctionnel et impÃ©ratif
@@ -10,5 +11,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Ocaml - Aspects scientifiques}
 \begin{itemize}
 \item code \og{} prouvable \fg{}
@@ -16,5 +17,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{Ocaml - Aspects informatiques}
 \begin{itemize}
 \item trÃšs performant
@@ -25,5 +26,5 @@
 
 \begin{frame}[fragile]
-\frametitle{Autres}
+\frametitle{Ocaml - Autres}
 \begin{itemize}
 %% TODO \href ??
Index: /trunk/presentation-langages/octave.tex
===================================================================
--- /trunk/presentation-langages/octave.tex	(revision 286)
+++ /trunk/presentation-langages/octave.tex	(revision 286)
@@ -0,0 +1,39 @@
+\begin{frame}\frametitle{Octave - GÃ©nÃ©ralitÃ©s}
+\begin{itemize}
+\item interprÃ©teur vs. compilateur 
+\item langage objet ?
+\item gratuit / payant / licences ?
+\item type de langage (fonctionnel, impÃ©ratif)
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Octave - Aspects scientifiques}
+\begin{itemize}
+\item langage matriciel ?
+\item librairies mathÃ©matiques ?
+\item librairies graphiques (tracÃ© de courbe...) ?
+\item cartographie fournie pour les tracÃ©s ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Octave - Aspects informatiques}
+\begin{itemize}
+\item langage multi-threadÃ© ? 
+\item langage parallÃ©lisable ?
+\item portabilitÃ© des codes ($\ne$ architectures / $\ne$ systÃšmes) ?
+\item interopÃ©rabilitÃ© avec les autres langages ?
+\item accÃšs SGDB ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Octave - Autres}
+\begin{itemize}
+\item acess Ã  une documentation en ligne ?
+\item existance d'une IDE propre au langage ou non ?
+\item librairie graphique pour crÃ©ation d'IHM (web ou locale) ?
+\item existance d'un shell interprÃ©tÃ© ?
+\item existance d'un dÃ©pÃŽt gÃ©nÃ©ralisÃ© des contributions des utilisateurs (en
+plus des modules de la librairie standard) ?
+\item sÃ©curitÃ©
+\end{itemize}
+\end{frame}
Index: /trunk/presentation-langages/perl.tex
===================================================================
--- /trunk/presentation-langages/perl.tex	(revision 285)
+++ /trunk/presentation-langages/perl.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Perl}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Perl}
+\begin{frame}\frametitle{Perl - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 %\item langage interprÃ©tÃ©
@@ -8,5 +8,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Perl - Aspects scientifiques}
 \begin{itemize}
 \item mal adaptÃ© au calcul pur
@@ -16,5 +16,5 @@
 
 \begin{frame}[fragile]
-\frametitle{Aspects informatiques}
+\frametitle{Perl - Aspects informatiques}
 \begin{itemize}
 \item support multithread
@@ -28,5 +28,5 @@
 
 \begin{frame}[fragile]
-\frametitle{Autres}
+\frametitle{Perl - Autres}
 \begin{itemize}
 \item documentation disponible dans de nombreux format
Index: /trunk/presentation-langages/php.tex
===================================================================
--- /trunk/presentation-langages/php.tex	(revision 285)
+++ /trunk/presentation-langages/php.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{php}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{php}
+\begin{frame}\frametitle{PHP - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 \item interprÃ©tÃ©
@@ -9,5 +9,5 @@
 \end{frame}
 
-%%\begin{frame}\frametitle{Aspects scientifiques}
+%%\begin{frame}\frametitle{PHP - Aspects scientifiques}
 %%\begin{itemize}
 %%\item langage matriciel ?
@@ -18,5 +18,5 @@
 %%\end{frame}
 
-\begin{frame}\frametitle{Aspects informatiques}
+\begin{frame}\frametitle{PHP - Aspects informatiques}
 \begin{itemize}
 \item code thÃ©oriquement portable
@@ -25,5 +25,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Autres}
+\begin{frame}\frametitle{PHP - Autres}
 \begin{itemize}
 \item nombreuse documentation en ligne et forum d'aide
Index: /trunk/presentation-langages/python.tex
===================================================================
--- /trunk/presentation-langages/python.tex	(revision 285)
+++ /trunk/presentation-langages/python.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Python (2.x)}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Python (2.x)}
+\begin{frame}\frametitle{Python (2.x) - GÃ©nÃ©ralitÃ©s}
 \begin{itemize} 
 \item langage objet 
@@ -7,5 +7,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Python (2.x) - Aspects scientifiques}
 \begin{itemize}
 \item existance d'un type complexe et d'une librairie interne (cmath) pour les
@@ -18,5 +18,5 @@
 \end{frame}
 
-\begin{frame}[fragile]\frametitle{Aspects informatiques}
+\begin{frame}[fragile]\frametitle{Python (2.x) - Aspects informatiques}
 \begin{itemize}
 \item langage multi-threadÃ© ? 
@@ -35,5 +35,5 @@
 
 \begin{frame}[fragile]
-\frametitle{Autres}
+\frametitle{Python (2.x) - Autres}
 \begin{itemize}
 \item acess Ã  une documentation en ligne \verb+http://www.python.org/+
Index: /trunk/presentation-langages/ruby.tex
===================================================================
--- /trunk/presentation-langages/ruby.tex	(revision 285)
+++ /trunk/presentation-langages/ruby.tex	(revision 286)
@@ -1,4 +1,4 @@
-\subsection{Ruby}
-\begin{frame}\frametitle{GÃ©nÃ©ralitÃ©s}
+%\subsection{Ruby}
+\begin{frame}\frametitle{Ruby - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
 %\item langage interprÃ©tÃ©
@@ -8,5 +8,5 @@
 \end{frame}
 
-\begin{frame}\frametitle{Aspects scientifiques}
+\begin{frame}\frametitle{Ruby - Aspects scientifiques}
 \begin{itemize}
 \item support natif des nombres complexes
@@ -17,5 +17,5 @@
 \end{frame}
 
-\begin{frame}[fragile]\frametitle{Aspects informatiques}
+\begin{frame}[fragile]\frametitle{Ruby - Aspects informatiques}
 \begin{itemize}
 \item support multithread natif
@@ -29,5 +29,5 @@
 
 \begin{frame}[fragile]
-\frametitle{Autres}
+\frametitle{Ruby - Autres}
 \begin{itemize}
 \item documentation en ligne: \verb+http://www.ruby-lang.org/en/documentation/+
Index: /trunk/presentation-langages/scilab.tex
===================================================================
--- /trunk/presentation-langages/scilab.tex	(revision 286)
+++ /trunk/presentation-langages/scilab.tex	(revision 286)
@@ -0,0 +1,39 @@
+\begin{frame}\frametitle{Scilab - GÃ©nÃ©ralitÃ©s}
+\begin{itemize}
+\item interprÃ©teur vs. compilateur 
+\item langage objet ?
+\item gratuit / payant / licences ?
+\item type de langage (fonctionnel, impÃ©ratif)
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Scilab - Aspects scientifiques}
+\begin{itemize}
+\item langage matriciel ?
+\item librairies mathÃ©matiques ?
+\item librairies graphiques (tracÃ© de courbe...) ?
+\item cartographie fournie pour les tracÃ©s ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Scilab - Aspects informatiques}
+\begin{itemize}
+\item langage multi-threadÃ© ? 
+\item langage parallÃ©lisable ?
+\item portabilitÃ© des codes ($\ne$ architectures / $\ne$ systÃšmes) ?
+\item interopÃ©rabilitÃ© avec les autres langages ?
+\item accÃšs SGDB ?
+\end{itemize}
+\end{frame}
+
+\begin{frame}\frametitle{Scilab - Autres}
+\begin{itemize}
+\item acess Ã  une documentation en ligne ?
+\item existance d'une IDE propre au langage ou non ?
+\item librairie graphique pour crÃ©ation d'IHM (web ou locale) ?
+\item existance d'un shell interprÃ©tÃ© ?
+\item existance d'un dÃ©pÃŽt gÃ©nÃ©ralisÃ© des contributions des utilisateurs (en
+plus des modules de la librairie standard) ?
+\item sÃ©curitÃ©
+\end{itemize}
+\end{frame}
Index: /trunk/presentation-langages/todo.txt
===================================================================
--- /trunk/presentation-langages/todo.txt	(revision 285)
+++ /trunk/presentation-langages/todo.txt	(revision 286)
@@ -1,3 +1,2 @@
-- changer le titre de la prÃ©sentation en fonction de ce que lon a dit Ã  AurÃ©lie
 - IDL et python sont des langages dynamiques (les variables peuvent changer de
   type)