Index: trunk/presentation-langages/c.tex
===================================================================
--- trunk/presentation-langages/c.tex	(revision 286)
+++ trunk/presentation-langages/c.tex	(revision 287)
@@ -1,3 +1,3 @@
-%\subsection{Le langage C}
+\subsubsection{Le langage C}
 \begin{frame}\frametitle{Le langage C - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/cpp.tex
===================================================================
--- trunk/presentation-langages/cpp.tex	(revision 286)
+++ trunk/presentation-langages/cpp.tex	(revision 287)
@@ -1,3 +1,3 @@
-%\subsection{C++}
+\subsubsection{C++}
 \begin{frame}\frametitle{C++ - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/csharp.tex
===================================================================
--- trunk/presentation-langages/csharp.tex	(revision 286)
+++ trunk/presentation-langages/csharp.tex	(revision 287)
@@ -1,11 +1,3 @@
-%\subsection{C\#}
-
-\begin{frame}
-%\begin{block}
-\begin{center}
-\LARGE{\textbf{C\#}}
-\end{center}
-%\end{block}
-\end{frame}
+\subsubsection{C\#}
 
 \begin{frame}\frametitle{C\# - GÃ©nÃ©ralitÃ©s}
Index: trunk/presentation-langages/fortran.tex
===================================================================
--- trunk/presentation-langages/fortran.tex	(revision 286)
+++ trunk/presentation-langages/fortran.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{Fortran 90/95/2003}
+\subsubsection{Fortran 90/95/2003}
+
 \begin{frame}\frametitle{Fortran 90/95/2003 - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/haskell.tex
===================================================================
--- trunk/presentation-langages/haskell.tex	(revision 286)
+++ trunk/presentation-langages/haskell.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{Haskell}
+\subsubsection{Haskell}
+
 \begin{frame}\frametitle{Haskell - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/idl.tex
===================================================================
--- trunk/presentation-langages/idl.tex	(revision 286)
+++ trunk/presentation-langages/idl.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{IDL}
+\subsubsection{IDL}
+
 \begin{frame}\frametitle{IDL - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/java.tex
===================================================================
--- trunk/presentation-langages/java.tex	(revision 286)
+++ trunk/presentation-langages/java.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{Java}
+\subsubsection{Java}
+
 \begin{frame}\frametitle{Java - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/main.tex
===================================================================
--- trunk/presentation-langages/main.tex	(revision 286)
+++ trunk/presentation-langages/main.tex	(revision 287)
@@ -36,6 +36,20 @@
 {
 \begin{frame}
-    \frametitle{Plan - \secname}
+    \frametitle{Plan - \subsecname}
     \tableofcontents[currentsection,sectionstyle=show/hide,hideothersubsections,subsectionstyle=show/shaded/hide]
+\end{frame}
+}
+
+\AtBeginSubsubsection[]
+{
+\begin{frame}
+    \frametitle{\subsubsecname}
+    \begin{center}
+    \begin{block}{\secname}
+    \LARGE{
+    \textbf{\subsubsecname}
+    }
+    \end{block}
+    \end{center}
 \end{frame}
 }
@@ -78,4 +92,5 @@
 \section{Langages fonctionnels}
 \include{generalite_fonctionnel}
+\subsection{Exemples de langage}
 \include{ocaml}
 \include{haskell}
Index: trunk/presentation-langages/matlab.tex
===================================================================
--- trunk/presentation-langages/matlab.tex	(revision 286)
+++ trunk/presentation-langages/matlab.tex	(revision 287)
@@ -1,2 +1,4 @@
+\subsubsection{Matlab}
+
 \begin{frame}\frametitle{Matlab - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/ocaml.tex
===================================================================
--- trunk/presentation-langages/ocaml.tex	(revision 286)
+++ trunk/presentation-langages/ocaml.tex	(revision 287)
@@ -1,4 +1,4 @@
-\subsection{Exemples de langages}
-%\subsection{Ocaml}
+\subsubsection{Ocaml}
+
 \begin{frame}\frametitle{Ocaml - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/octave.tex
===================================================================
--- trunk/presentation-langages/octave.tex	(revision 286)
+++ trunk/presentation-langages/octave.tex	(revision 287)
@@ -1,2 +1,4 @@
+\subsubsection{Octave}
+
 \begin{frame}\frametitle{Octave - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/perl.tex
===================================================================
--- trunk/presentation-langages/perl.tex	(revision 286)
+++ trunk/presentation-langages/perl.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{Perl}
+\subsubsection{Perl}
+
 \begin{frame}\frametitle{Perl - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/php.tex
===================================================================
--- trunk/presentation-langages/php.tex	(revision 286)
+++ trunk/presentation-langages/php.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{php}
+\subsubsection{php}
+
 \begin{frame}\frametitle{PHP - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/python.tex
===================================================================
--- trunk/presentation-langages/python.tex	(revision 286)
+++ trunk/presentation-langages/python.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{Python (2.x)}
+\subsubsection{Python (2.x)}
+
 \begin{frame}\frametitle{Python (2.x) - GÃ©nÃ©ralitÃ©s}
 \begin{itemize} 
Index: trunk/presentation-langages/ruby.tex
===================================================================
--- trunk/presentation-langages/ruby.tex	(revision 286)
+++ trunk/presentation-langages/ruby.tex	(revision 287)
@@ -1,3 +1,4 @@
-%\subsection{Ruby}
+\subsubsection{Ruby}
+
 \begin{frame}\frametitle{Ruby - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}
Index: trunk/presentation-langages/scilab.tex
===================================================================
--- trunk/presentation-langages/scilab.tex	(revision 286)
+++ trunk/presentation-langages/scilab.tex	(revision 287)
@@ -1,2 +1,4 @@
+\subsubsection{Scilab}
+
 \begin{frame}\frametitle{Scilab - GÃ©nÃ©ralitÃ©s}
 \begin{itemize}